> ## Documentation Index
> Fetch the complete documentation index at: https://docs.reqlick.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a list of links

> Retrieve a list of links for the authenticated workspace.



## OpenAPI

````yaml GET /workspaces/{url}/links
openapi: 3.0.0
info:
  title: Reqlick API
  version: 1.0.0
  description: Reqlick API Documentation
servers:
  - url: https://api.reqlick.com
security:
  - bearerAuth: []
tags:
  - name: Documents
    description: Documents management
  - name: Domains
    description: Domains management
  - name: GoogleAuth
    description: Google Authentication
  - name: Links
    description: Links management
  - name: Payments
    description: Payments management
  - name: QRCodes
    description: QR Codes management
  - name: Resources
    description: Resources management
  - name: Subscriptions
    description: Subscription management
  - name: Users
    description: User management and authentication
  - name: Workspaces
    description: Workspaces management
paths:
  /workspaces/{url}/links:
    get:
      tags:
        - Workspaces
      summary: Get workspace links
      parameters:
        - in: path
          name: url
          required: true
          schema:
            type: string
          description: Workspace URL
      responses:
        '200':
          description: Successfully retrieved all links
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                      description: Link ID
                      example: 1110580a82031111aaa01111
                    documentId:
                      type: string
                      description: Document ID
                      example: 1110580a82031111aaa01111
                    url:
                      type: string
                      nullable: true
                      description: Link URL
                      example: null
                    key:
                      type: string
                      description: Link key
                      example: try-reqlick
                    expiresAt:
                      type: string
                      format: date-time
                      nullable: true
                      description: Expiration date
                      example: null
                    isFile:
                      type: boolean
                      description: File status
                      example: true
                    isQR:
                      type: boolean
                      description: QR code status
                      example: false
                    title:
                      type: string
                      description: Link title
                      example: Reqlick title
                    description:
                      type: string
                      description: Link description
                      example: Reqlick description
                    image:
                      type: string
                      description: Link image URL
                      example: image.png
                    createdAt:
                      type: string
                      format: date-time
                      description: Creation date
                      example: '2024-06-05T12:55:41.946Z'
                    updatedAt:
                      type: string
                      format: date-time
                      description: Last update date
                      example: '2024-06-05T12:55:41.946Z'
                    isPublic:
                      type: boolean
                      description: Public status
                      example: true
                    isActive:
                      type: boolean
                      description: Active status
                      example: true
                    isArchived:
                      type: boolean
                      description: Archived status
                      example: false
                    domain:
                      type: string
                      description: Domain
                      example: rqk.sh
                    utm_source:
                      type: string
                      nullable: true
                      description: UTM source
                      example: null
                    utm_medium:
                      type: string
                      nullable: true
                      description: UTM medium
                      example: null
                    utm_campaign:
                      type: string
                      nullable: true
                      description: UTM campaign
                      example: null
                    utm_term:
                      type: string
                      nullable: true
                      description: UTM term
                      example: null
                    utm_content:
                      type: string
                      nullable: true
                      description: UTM content
                      example: null
                    ref:
                      type: string
                      nullable: true
                      description: Reference
                      example: null
                    ios:
                      type: string
                      nullable: true
                      description: iOS data
                      example: null
                    android:
                      type: string
                      nullable: true
                      description: Android data
                      example: null
                    views:
                      type: integer
                      description: Number of views
                      example: 1
                    isProtected:
                      type: boolean
                      description: Protected status
                      example: false
                    createdBy:
                      type: object
                      properties:
                        name:
                          type: string
                          description: Creator's name
                        image:
                          type: string
                          description: Creator's image URL
                          example: https://example.com/reqlick.logo
                        id:
                          type: string
                          description: Creator's ID
                          example: 1110580a82031111aaa01111
                    shortLink:
                      type: string
                      description: Short link URL
                      example: https://rqk.sh/try-reqlick
        '401':
          description: Authentication Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Authentication Error
                  feedback:
                    type: string
                    example: You are unauthenticated!
        '500':
          description: Internal server error
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````